<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:p="http://kpi.fei.tuke.sk/practices"
    xmlns:j="http://kpi.fei.tuke.sk/tjava"
    xmlns:h="http://www.w3.org/1999/xhtml">

    <!-- additional includes goes first -->
    <xsl:include href="format.xsl" />
    <xsl:include href="programming.xsl" />

    <!-- ============= situations, initial-situation, final-situation =============== -->
    <xsl:template match="p:situations">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="p:initial-situation">
        <xsl:text>&#xa;\begin{situation}{Počiatočná situácia}</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>&#xa;\end{situation}</xsl:text>
    </xsl:template>

    <xsl:template match="p:final-situation">
        <xsl:text>&#xa;\begin{situation}{Koncová situácia}</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>&#xa;\end{situation}</xsl:text>
    </xsl:template>

    <xsl:template match="p:char">
        <xsl:text>{\tt '</xsl:text>
        <xsl:call-template name="process-text" />
        <xsl:text>'}</xsl:text>
    </xsl:template>

    <!-- ============= world =============== -->
    <xsl:template match="p:world">
        <xsl:text>{\tt </xsl:text>
        <xsl:call-template name="process-text"/>
        <xsl:text>}</xsl:text>
    </xsl:template>

    <!-- ============= example =============== -->
    <xsl:template match="p:example">
        <xsl:text>\begin{verbatim}</xsl:text>
            <xsl:apply-templates/>
        <xsl:text>\end{verbatim}</xsl:text>
    </xsl:template>

    <!-- output message -->
    <xsl:template match="p:console">
        <xsl:text>{\tt </xsl:text>
        <xsl:call-template name="process-text"/>
        <xsl:text>}</xsl:text>
    </xsl:template>

    <!-- para -->
    <xsl:template match="p:para">
        <xsl:call-template name="process-text"/>
    </xsl:template>

</xsl:stylesheet>
